<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_191) on Sun Feb 10 21:09:59 CET 2019 -->
<title>Case</title>
<meta name="date" content="2019-02-10">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Case";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../main/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Case.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../main/Grille.html" title="class in main"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?main/Case.html" target="_top">Frames</a></li>
<li><a href="Case.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">main</div>
<h2 title="Class Case" class="title">Class Case</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>main.Case</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Case</span>
extends java.lang.Object</pre>
<div class="block">Représente une case de la grille.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Valentin</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../main/Case.html#Case-int-int-int-">Case</a></span>(int&nbsp;i,
    int&nbsp;j,
    int&nbsp;intDim)</code>
<div class="block">Constructeur de la case.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/Case.html#getI--">getI</a></span>()</code>
<div class="block">Retourne l'index i de la case dans la grille.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/Case.html#getJ--">getJ</a></span>()</code>
<div class="block">Retourne l'index j de la case dans la grille.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/Case.html#getMilieuX--">getMilieuX</a></span>()</code>
<div class="block">Retourne la coordonnée x du milieu de la case dans le GraphicsContext.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/Case.html#getMilieuY--">getMilieuY</a></span>()</code>
<div class="block">Retourne la coordonnée y du milieu de la case dans le GraphicsContext.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/Case.html#getNbBombesAutour--">getNbBombesAutour</a></span>()</code>
<div class="block">Retourne le nombre de bombes dans le voisinnage de la case.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/Case.html#getPassageStack--">getPassageStack</a></span>()</code>
<div class="block">Retourne true si la stack est déjà passée par cette case.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/Case.html#isBomb--">isBomb</a></span>()</code>
<div class="block">Retourne true si la case contient une bombe.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/Case.html#isHidden--">isHidden</a></span>()</code>
<div class="block">Retourne false si la case a été révélée par le joueur.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/Case.html#isMarked--">isMarked</a></span>()</code>
<div class="block">Retourne true si la case a été marquée par un flag par le joueur.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/Case.html#setBomb-boolean-">setBomb</a></span>(boolean&nbsp;b)</code>
<div class="block">Définit si la case contient une bombe ou non.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/Case.html#setHidden-boolean-">setHidden</a></span>(boolean&nbsp;b)</code>
<div class="block">Définit si la case a été révélée par le joueur.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/Case.html#setMarked-boolean-">setMarked</a></span>(boolean&nbsp;isMarked)</code>
<div class="block">Définit si la case a été marquée par un flag par le joueur.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/Case.html#setNbBombesAutour-int-">setNbBombesAutour</a></span>(int&nbsp;nbBombesAutour)</code>
<div class="block">Définit le nombre de bombes dans le voisinnage de la case.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../main/Case.html#setPassageStack-boolean-">setPassageStack</a></span>(boolean&nbsp;passageStack)</code>
<div class="block">Définit si la stack est déjà passée par cette case.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Case-int-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Case</h4>
<pre>public&nbsp;Case(int&nbsp;i,
            int&nbsp;j,
            int&nbsp;intDim)</pre>
<div class="block">Constructeur de la case.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>i</code> - l'index i de la case dans la grille.</dd>
<dd><code>j</code> - l'index j de la case dans la grille.</dd>
<dd><code>intDim</code> - la taille d'une dimension de la grille (utile pour calculer le milieu de la case).</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getI--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getI</h4>
<pre>public&nbsp;int&nbsp;getI()</pre>
<div class="block">Retourne l'index i de la case dans la grille.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>l'index i de la case dans la grille.</dd>
</dl>
</li>
</ul>
<a name="getJ--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJ</h4>
<pre>public&nbsp;int&nbsp;getJ()</pre>
<div class="block">Retourne l'index j de la case dans la grille.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>l'index j de la case dans la grille.</dd>
</dl>
</li>
</ul>
<a name="getMilieuX--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMilieuX</h4>
<pre>public&nbsp;int&nbsp;getMilieuX()</pre>
<div class="block">Retourne la coordonnée x du milieu de la case dans le GraphicsContext.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la coordonnée x du milieu de la case dans le GraphicsContext.</dd>
</dl>
</li>
</ul>
<a name="getMilieuY--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMilieuY</h4>
<pre>public&nbsp;int&nbsp;getMilieuY()</pre>
<div class="block">Retourne la coordonnée y du milieu de la case dans le GraphicsContext.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la coordonnée y du milieu de la case dans le GraphicsContext.</dd>
</dl>
</li>
</ul>
<a name="getNbBombesAutour--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNbBombesAutour</h4>
<pre>public&nbsp;int&nbsp;getNbBombesAutour()</pre>
<div class="block">Retourne le nombre de bombes dans le voisinnage de la case.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le nombre de bombes dans le voisinnage de la case.</dd>
</dl>
</li>
</ul>
<a name="getPassageStack--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPassageStack</h4>
<pre>public&nbsp;boolean&nbsp;getPassageStack()</pre>
<div class="block">Retourne true si la stack est déjà passée par cette case.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true si la stack est déjà passée par cette case.</dd>
</dl>
</li>
</ul>
<a name="isBomb--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isBomb</h4>
<pre>public&nbsp;boolean&nbsp;isBomb()</pre>
<div class="block">Retourne true si la case contient une bombe.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true si la case contient une bombe.</dd>
</dl>
</li>
</ul>
<a name="isHidden--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isHidden</h4>
<pre>public&nbsp;boolean&nbsp;isHidden()</pre>
<div class="block">Retourne false si la case a été révélée par le joueur.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>false si la case a été révélée par le joueur.</dd>
</dl>
</li>
</ul>
<a name="isMarked--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isMarked</h4>
<pre>public&nbsp;boolean&nbsp;isMarked()</pre>
<div class="block">Retourne true si la case a été marquée par un flag par le joueur.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true si la case a été marquée par un flag par le joueur.</dd>
</dl>
</li>
</ul>
<a name="setBomb-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBomb</h4>
<pre>public&nbsp;void&nbsp;setBomb(boolean&nbsp;b)</pre>
<div class="block">Définit si la case contient une bombe ou non.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>b</code> - true si la case contient une bombe.</dd>
</dl>
</li>
</ul>
<a name="setHidden-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHidden</h4>
<pre>public&nbsp;void&nbsp;setHidden(boolean&nbsp;b)</pre>
<div class="block">Définit si la case a été révélée par le joueur.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>b</code> - false si la case a été révélée par le joueur.</dd>
</dl>
</li>
</ul>
<a name="setMarked-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMarked</h4>
<pre>public&nbsp;void&nbsp;setMarked(boolean&nbsp;isMarked)</pre>
<div class="block">Définit si la case a été marquée par un flag par le joueur.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>isMarked</code> - true si la case a été marquée par un flag par le joueur.</dd>
</dl>
</li>
</ul>
<a name="setNbBombesAutour-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNbBombesAutour</h4>
<pre>public&nbsp;void&nbsp;setNbBombesAutour(int&nbsp;nbBombesAutour)</pre>
<div class="block">Définit le nombre de bombes dans le voisinnage de la case.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nbBombesAutour</code> - le nombre de bombes dans le voisinnage de la case.</dd>
</dl>
</li>
</ul>
<a name="setPassageStack-boolean-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setPassageStack</h4>
<pre>public&nbsp;void&nbsp;setPassageStack(boolean&nbsp;passageStack)</pre>
<div class="block">Définit si la stack est déjà passée par cette case.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>passageStack</code> - true si la stack est passée par cette case.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../main/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Case.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../main/Grille.html" title="class in main"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?main/Case.html" target="_top">Frames</a></li>
<li><a href="Case.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
